SessionMessage (Tomcat API Documentation)
Keywords: org.apache.catalina.ha.session.SessionMessage interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.session
Interface SessionMessage

All Superinterfaces:
  ClusterMessage, java.io.Serializable

All Known Implementing Classes:
  SessionMessageImpl

    public interface SessionMessage

extends ClusterMessage, java.io.Serializable

Class Description:
The SessionMessage class is a class that is used when a session has been created, modified, expired in a Tomcat cluster node.
The following events are currently available:

-     public static final int EVT_SESSION_CREATED

-     public static final int EVT_SESSION_ACCESSED

-     public static final int EVT_ATTRIBUTE_ADDED

-     public static final int EVT_ATTRIBUTE_REMOVED

-     public static final int EVT_SESSION_EXPIRED_WONOTIFY

-     public static final int EVT_SESSION_EXPIRED_WNOTIFY

-     public static final int EVT_GET_ALL_SESSIONS

-     public static final int EVT_SET_USER_PRINCIPAL

-     public static final int EVT_SET_SESSION_NOTE

-     public static final int EVT_REMOVE_SESSION_NOTE

Field Summary
`static int` | `EVT_ALL_SESSION_DATA` When a session state is transferred, this is the event.
`static int` | `EVT_ALL_SESSION_TRANSFERCOMPLETE` When a session state is complete transferred, this is the event.
`static int` | `EVT_GET_ALL_SESSIONS` Event type used when a server comes online for the first time.
`static int` | `EVT_SESSION_ACCESSED` Event type used when a session has been accessed (ie, last access time has been updated.
`static int` | `EVT_SESSION_CREATED` Event type used when a session has been created on a node
`static int` | `EVT_SESSION_DELTA` Event type used when an attribute has been added to a session, the attribute will be sent to all the other nodes in the cluster
`static int` | `EVT_SESSION_EXPIRED` Event type used when a session has expired

Method Summary
`java.lang.String` | `getContextName()`
`int` | `getEventType()` returns the event type
`java.lang.String` | `getEventTypeString()`
`byte[]` | `getSession()`
`java.lang.String` | `getSessionID()`

Methods inherited from interface org.apache.catalina.ha.ClusterMessage
`getAddress, getTimestamp, getUniqueId, setAddress, setTimestamp, setUniqueId`

Field Detail

### EVT_SESSION_CREATED

    static final int EVT_SESSION_CREATED

  Event type used when a session has been created on a node

  See Also:
    Constant Field Values

### EVT_SESSION_EXPIRED

    static final int EVT_SESSION_EXPIRED

  Event type used when a session has expired

  See Also:
    Constant Field Values

### EVT_SESSION_ACCESSED

    static final int EVT_SESSION_ACCESSED

  Event type used when a session has been accessed (ie, last access time has been updated. This is used so that the replicated sessions will not expire on the network

  See Also:
    Constant Field Values

### EVT_GET_ALL_SESSIONS

    static final int EVT_GET_ALL_SESSIONS

  Event type used when a server comes online for the first time. The first thing the newly started server wants to do is to grab the all the sessions from one of the nodes and keep the same state in there

  See Also:
    Constant Field Values

### EVT_SESSION_DELTA

    static final int EVT_SESSION_DELTA

  Event type used when an attribute has been added to a session, the attribute will be sent to all the other nodes in the cluster

  See Also:
    Constant Field Values

### EVT_ALL_SESSION_DATA

    static final int EVT_ALL_SESSION_DATA

  When a session state is transferred, this is the event.

  See Also:
    Constant Field Values

### EVT_ALL_SESSION_TRANSFERCOMPLETE

    static final int EVT_ALL_SESSION_TRANSFERCOMPLETE

  When a session state is complete transferred, this is the event.

  See Also:
    Constant Field Values

Method Detail

### getContextName

    java.lang.String getContextName()

### getEventTypeString

    java.lang.String getEventTypeString()

### getEventType

    int getEventType()

  returns the event type

  Returns:
    one of the event types EVT_XXXX

### getSession

    byte[] getSession()

  Returns:
    the serialized data for the session

### getSessionID

    java.lang.String getSessionID()

  Returns:
    the session ID for the session

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.